Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede
Class EventDrivenEnvironment

    java.lang.Object
      |
      +--com.bea.wlrt.ede.EventDrivenEnvironment

public final class EventDrivenEnvironment
extends Object

Deprecated EventDrivenEnvironment. DO NOT USE except for testing. Required references should be directly injected.

Constructor Summary
`EventDrivenEnvironment()`

Method Summary
`static EventDrivenEnvironment` | `getEnvironment()`
`EventTypeRepository` | `getEventTypeRepository()`
`Object` | `getStage(Class serviceClass, String id, String applicationId)`
`com.bea.wlrt.ede.StageManager` | `getStageManager()`
`Stream` | `getStream(String id)`
`Stream` | `getStream(String id, String applicationId)`
`void` | `setBundleContext(BundleContext context)`
`void` | `setEventTypeRepository(EventTypeRepository rep)`
`void` | `setStageManager(com.bea.wlrt.ede.StageManager sm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDrivenEnvironment

    public EventDrivenEnvironment()

Method Detail

### getEnvironment

    public static EventDrivenEnvironment getEnvironment()

### getEventTypeRepository

    public EventTypeRepository getEventTypeRepository()

### setEventTypeRepository

    public void setEventTypeRepository(EventTypeRepository rep)

### setStageManager

    public void setStageManager(com.bea.wlrt.ede.StageManager sm)

### getStageManager

    public com.bea.wlrt.ede.StageManager getStageManager()

### getStream

    public Stream getStream(String id,
                            String applicationId)

### getStream

    public Stream getStream(String id)

### getStage

    public Object getStage(Class serviceClass,
                           String id,
                           String applicationId)

### setBundleContext

    public void setBundleContext(BundleContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD